Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 176721 - net-im/pidgin segfaults on running
Summary: net-im/pidgin segfaults on running
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High critical (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-01 19:20 UTC by Adam
Modified: 2007-05-28 19:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam 2007-05-01 19:20:24 UTC
When I start pidgin for the first time, it starts, but segfaults immediately.  I see my buddy list window, but that's it.  It only happens when I have multiple screen names logged into AIM in multiple locations

Reproducible: Always

Steps to Reproduce:
1. Log into AIM from somewhere other computer with pidgin
2. Start Pidgin

Actual Results:  
Segmentation Fault

Expected Results:  
Start up as usual.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-05-01 20:21:55 UTC
http://www.gentoo.org/proj/en/qa/backtraces.xml

Also post emerge --info output.
Comment 2 Adam 2007-05-01 20:57:11 UTC
Dreadfully sorry, it also appears to occur anytime I so much as receive a message.

Portage 2.1.2.5 (default-linux/amd64/2006.0, gcc-4.1.2, glibc-2.5-r1, 2.6.19-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.19-gentoo-r4 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Gentoo Base System release 1.12.10
Timestamp of tree: Tue, 01 May 2007 07:00:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r7
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r7
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -Os -pipe -msse3 -msse2 -mmmx"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -Os -pipe -msse3 -msse2 -mmmx"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict userfetch"
GENTOO_MIRRORS="http://gentoo.cites.uiuc.edu/pub/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ "
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed,--sort-common,-lz"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/portage-xgl /usr/portage/local/layman/musicbrainz /usr/portage/local/layman/einit /usr/portage/local/layman/pro-audio /usr/local/portage /usr/local/initng-portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acct acpi aiglx aim alsa amazon amd64 amr apache2 asf automount beagle berkdb bitmap-fonts bonjour boost branding bzip2 cddb cdinstall cdr cdrom chroot cli corba cracklib crypt css cups daap dbus debug dmi dri dts dvb dvd dvdnav dvdr dvdread eds emboss emovix emul-linux-x86 encode fat ffmpeg firefox flac flash fltk font-server foomaticdb fortran gcj ggi gif gimp gimpprint gnustep gpm gsnd gstreamer gtk gtk2 h323 hal hpn iconv id3 ieee1394 imlib inkjar ipod ipv6 isdnlog ivtv jack java javascript jbig jfs jikes jpeg jpeg2k kde kdehiddenvisibility kipi lame layout-osx-like libnotify libsamplerate lirc lzo lzw lzw-tiff mad matroska memlimit midi mikmod mjpeg mmap mod mono moznocompose moznoirc moznoroaming mozsvg mp2 mp3 mp4 mpeg mpeg2 mplayer musepack musicbrainz mysql mythtv ncurses neXt nforce2 nls nocd nptl nptlonly nsplugin ntfs nvidia objc objc++ objc-gc offensive ogg openexr opengl oss pam pcre pda pdf perl png pnm ppds pppd python qt3 qt4 quicktime rar readline reflection reiserfs replytolist rtsp samba scanner sdl sdl-image server session sftplogging shout slp smp sndfile snmp source speex spell spl sqlite srt ssl startup-notification stream svg symlink tagwriting tcpd theora thesaurus threads tiff tk truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vcd vfat vlm vorbis wavpack wifi wma wmf x11vnc x264 xcomposite xfs xine xinerama xml xorg xpm xrandr xscreensaver xsl xv xvid xvmc zeroconf zlib zoran" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INITNG_PLUGINS="also bash_launcher chdir chroot conflict cpout critical ctrlaltdel daemon_clean debug_commands envparser find fmon fstat history idleprobe initctl interactive iparser last limit lockfile logfile netdev netprobe ngc4 ngcs nge pause provide reload renice rlparser simple_launcher stcmd stdout suid syncron syslog sysreq unneeded usplash" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="hauppauge" USERLAND="GNU" VIDEO_CARDS="vesa fbdev mesa nvidia nv"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Adam 2007-05-01 21:13:43 UTC
Side note, I've built it with:

CFLAGS="-march=athlon64 -Os -pipe -msse3" LDFLAGS="-Wl,-O1" emerge pidgin
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-05-01 21:18:12 UTC
Please, attach the backtrace.
Comment 5 Olivier Crete (RETIRED) gentoo-dev 2007-05-01 22:03:56 UTC
-Os is not supported, gcc has been known 
Please try -O2 ...
Comment 6 Adam 2007-05-01 22:10:28 UTC
Problem seems to reside in the audio, when I disable audio it works fine, but if I have it on Auto (which gaim had no problems with) it segfaults when I send or Receive IMs.
Comment 7 Adam 2007-05-01 22:12:44 UTC
When run from the commandline I get, will try O2:

  4 Thread 1073822016 (LWP 30946)  0x0000003d0ee0d641 in ?? ()
   from /lib/libpthread.so.0
  3 Thread 1075988800 (LWP 30947)  0x0000003d0ee0a726 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  2 Thread 1084381504 (LWP 31886)  0x0000003d0ee0c978 in __lll_mutex_lock_wait
    () from /lib/libpthread.so.0
  1 Thread 47059347969488 (LWP 30945)  0x0000003d0e6b85a2 in select ()
   from /lib/libc.so.6

Thread 4 (Thread 1073822016 (LWP 30946)):
#0  0x0000003d0ee0d641 in ?? () from /lib/libpthread.so.0
#1  0x00002accddf3eb29 in ?? () from /usr/lib/libmono.so.0
#2  0x0000003d0ee06135 in start_thread () from /lib/libpthread.so.0
#3  0x0000003d0e6be54d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 1075988800 (LWP 30947)):
#0  0x0000003d0ee0a726 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00002accddf4069a in ?? () from /usr/lib/libmono.so.0
#2  0x00002accddf4080a in _wapi_handle_timedwait_signal_handle ()
   from /usr/lib/libmono.so.0
#3  0x00002accddf4c5d1 in WaitForSingleObjectEx () from /usr/lib/libmono.so.0
#4  0x00002accddefdae9 in ?? () from /usr/lib/libmono.so.0
#5  0x00002accddf11117 in ?? () from /usr/lib/libmono.so.0
#6  0x00002accddf4bc16 in ?? () from /usr/lib/libmono.so.0
#7  0x00002accddf5fe6a in GC_start_routine () from /usr/lib/libmono.so.0
#8  0x0000003d0ee06135 in start_thread () from /lib/libpthread.so.0
#9  0x0000003d0e6be54d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 1084381504 (LWP 31886)):
#0  0x0000003d0ee0c978 in __lll_mutex_lock_wait () from /lib/libpthread.so.0
#1  0x0000003d0ee08a59 in _L_mutex_lock_51 () from /lib/libpthread.so.0
#2  0x0000003d0ee083c3 in pthread_mutex_lock () from /lib/libpthread.so.0
#3  0x0000003d11a27101 in g_main_context_wakeup ()
   from /usr/lib/libglib-2.0.so.0
#4  0x0000003d0d82b7c3 in gst_bus_post () from /usr/lib/libgstreamer-0.10.so.0
#5  0x0000003d0d831b65 in gst_element_post_message ()
   from /usr/lib/libgstreamer-0.10.so.0
#6  0x0000003d0d827a7f in ?? () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00002aaaaed9c7dc in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#8  0x0000003d0d826652 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x0000003d0d82b648 in gst_bus_post () from /usr/lib/libgstreamer-0.10.so.0
#10 0x0000003d0d831b65 in gst_element_post_message ()
   from /usr/lib/libgstreamer-0.10.so.0
#11 0x0000003d0d831e77 in gst_element_continue_state ()
   from /usr/lib/libgstreamer-0.10.so.0
#12 0x0000003d0d83220d in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0x0000003d0d834687 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00002aaaaeda0cd0 in ?? () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#15 0x0000003d11c09e91 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0x0000003d11c15ff1 in ?? () from /usr/lib/libgobject-2.0.so.0
#17 0x0000003d11c16b87 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
#18 0x0000003d11c16fcb in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x00002aaaaefec95a in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstdecodebin.so
#20 0x00002aaaaefed9b7 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstdecodebin.so
#21 0x0000003d11c09e91 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#22 0x0000003d11c15ff1 in ?? () from /usr/lib/libgobject-2.0.so.0
#23 0x0000003d11c16b87 in g_signal_emit_valist ()
   from /usr/lib/libgobject-2.0.so.0
#24 0x0000003d11c16fcb in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#25 0x0000003d0d83359a in gst_element_add_pad ()
   from /usr/lib/libgstreamer-0.10.so.0
#26 0x00002aaaaf2035f2 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstwavparse.so
#27 0x00002aaaaf2038fd in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstwavparse.so
#28 0x00002aaaaf2042e9 in ?? ()
   from /usr/lib64/gstreamer-0.10/libgstwavparse.so
#29 0x0000003d0d856936 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#30 0x0000003d11a3bb78 in ?? () from /usr/lib/libglib-2.0.so.0
#31 0x0000003d11a3ab7c in ?? () from /usr/lib/libglib-2.0.so.0
#32 0x0000003d0ee06135 in start_thread () from /lib/libpthread.so.0
#33 0x0000003d0e6be54d in clone () from /lib/libc.so.6
#34 0x0000000000000000 in ?? ()

Thread 1 (Thread 47059347969488 (LWP 30945)):
#0  0x0000003d0e6b85a2 in select () from /lib/libc.so.6
#1  0x0000003d11a44b51 in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
#2  0x0000003d11a44e50 in g_spawn_command_line_sync ()
   from /usr/lib/libglib-2.0.so.0
#3  0x00002accddeb4d46 in ?? () from /usr/lib/libmono.so.0
#4  <signal handler called>
#5  0x0000003d0e62f885 in raise () from /lib/libc.so.6
#6  0x0000003d0e630b3e in abort () from /lib/libc.so.6
#7  0x0000003d0e665957 in ?? () from /lib/libc.so.6
#8  0x0000003d0e66aa4d in ?? () from /lib/libc.so.6
#9  0x0000003d11a2611b in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x0000003d11a263f5 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x0000003d11a286d2 in g_source_remove () from /usr/lib/libglib-2.0.so.0
#12 0x00000030fa22dd22 in gdk_window_process_all_updates ()
   from /usr/lib/libgdk-x11-2.0.so.0
#13 0x00000030fa4a5128 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x0000003d11a26619 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#15 0x0000003d11a2816e in ?? () from /usr/lib/libglib-2.0.so.0
#16 0x0000003d11a28dd1 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#17 0x00000030fa520fdb in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x0000000000469b62 in main ()
#0  0x0000003d0e6b85a2 in select () from /lib/libc.so.6


=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Aborted
Comment 8 Olivier Crete (RETIRED) gentoo-dev 2007-05-01 22:29:46 UTC
Recompile it (I've disabled mono compilation).
Comment 9 Adam 2007-05-01 22:49:10 UTC
(In reply to comment #8)
> Recompile it (I've disabled mono compilation).
> 

Yup, that fixed it.  Thanks.
Comment 10 Adam 2007-05-01 22:52:09 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Recompile it (I've disabled mono compilation).
> > 
> 
> Yup, that fixed it.  Thanks.
> 

Or not... Spoke too soon

======= Backtrace: =========
/lib/libc.so.6[0x3d0e66aa4d]
/usr/lib/libgstreamer-0.10.so.0[0x3d0d82a1bb]
/usr/lib/libgstreamer-0.10.so.0(gst_mini_object_unref+0xd5)[0x3d0d83f638]
/usr/lib/libgstriff-0.10.so.0(gst_riff_read_chunk+0xba)[0x2ac06454e5c5]
/usr/lib64/gstreamer-0.10/libgstwavparse.so[0x2ac064410186]
/usr/lib64/gstreamer-0.10/libgstwavparse.so[0x2ac0644122d1]
/usr/lib/libgstreamer-0.10.so.0[0x3d0d856936]
/usr/lib/libglib-2.0.so.0[0x3d11a3bb78]
/usr/lib/libglib-2.0.so.0[0x3d11a3ab7c]
/lib/libpthread.so.0[0x3d0ee06135]
/lib/libc.so.6(__clone+0x6d)[0x3d0e6be54d]
======= Memory map: ========
00400000-004af000 r-xp 00000000 03:07 18181                              /usr/bin/pidgin
005ae000-005b3000 rw-p 000ae000 03:07 18181                              /usr/bin/pidgin
005b3000-0130e000 rw-p 005b3000 00:00 0                                  [heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40801000 rw-p 40001000 00:00 0
30f9e00000-30f9e26000 r-xp 00000000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30f9e26000-30f9f25000 ---p 00026000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30f9f25000-30f9f30000 rw-p 00025000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30fa000000-30fa002000 r-xp 00000000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa002000-30fa101000 ---p 00002000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa101000-30fa102000 rw-p 00001000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa200000-30fa28c000 r-xp 00000000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa28c000-30fa38c000 ---p 0008c000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa38c000-30fa391000 rw-p 0008c000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa400000-30fa757000 r-xp 00000000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa757000-30fa857000 ---p 00357000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa857000-30fa861000 rw-p 00357000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa861000-30fa863000 rw-p 30fa861000 00:00 0
30faa00000-30faa29000 r-xp 00000000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30faa29000-30fab29000 ---p 00029000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30fab29000-30fab2a000 rw-p 00029000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30fae00000-30fae08000 r-xp 00000000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30fae08000-30faf08000 ---p 00008000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30faf08000-30faf09000 rw-p 00008000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30fb000000-30fb005000 r-xp 00000000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
30fb005000-30fb104000 ---p 00005000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
30fb104000-30fb105000 rw-p 00004000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
3bbb200000-3bbb21d000 r-xp 00000000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb21d000-3bbb31c000 ---p 0001d000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb31c000-3bbb31e000 rw-p 0001c000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb400000-3bbb456000 r-xp 00000000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb456000-3bbb555000 ---p 00056000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb555000-3bbb559000 rw-p 00055000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb559000-3bbb55a000 rw-p 3bbb559000 00:00 0
3bbb600000-3bbb613000 r-xp 00000000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbb613000-3bbb713000 ---p 00013000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbb713000-3bbb715000 rw-p 00013000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbd400000-3bbd452000 r-xp 00000000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3bbd452000-3bbd551000 ---p 00052000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3bbd551000-3bbd553000 rw-p 00051000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3d0d600000-3d0d61b000 r-xp 000Aborted
Comment 11 Adam 2007-05-01 22:52:30 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Recompile it (I've disabled mono compilation).
> > 
> 
> Yup, that fixed it.  Thanks.
> 

Or not... Spoke too soon

======= Backtrace: =========
/lib/libc.so.6[0x3d0e66aa4d]
/usr/lib/libgstreamer-0.10.so.0[0x3d0d82a1bb]
/usr/lib/libgstreamer-0.10.so.0(gst_mini_object_unref+0xd5)[0x3d0d83f638]
/usr/lib/libgstriff-0.10.so.0(gst_riff_read_chunk+0xba)[0x2ac06454e5c5]
/usr/lib64/gstreamer-0.10/libgstwavparse.so[0x2ac064410186]
/usr/lib64/gstreamer-0.10/libgstwavparse.so[0x2ac0644122d1]
/usr/lib/libgstreamer-0.10.so.0[0x3d0d856936]
/usr/lib/libglib-2.0.so.0[0x3d11a3bb78]
/usr/lib/libglib-2.0.so.0[0x3d11a3ab7c]
/lib/libpthread.so.0[0x3d0ee06135]
/lib/libc.so.6(__clone+0x6d)[0x3d0e6be54d]
======= Memory map: ========
00400000-004af000 r-xp 00000000 03:07 18181                              /usr/bin/pidgin
005ae000-005b3000 rw-p 000ae000 03:07 18181                              /usr/bin/pidgin
005b3000-0130e000 rw-p 005b3000 00:00 0                                  [heap]
40000000-40001000 ---p 40000000 00:00 0
40001000-40801000 rw-p 40001000 00:00 0
30f9e00000-30f9e26000 r-xp 00000000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30f9e26000-30f9f25000 ---p 00026000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30f9f25000-30f9f30000 rw-p 00025000 03:07 1165899                        /usr/lib64/libfontconfig.so.1.2.0
30fa000000-30fa002000 r-xp 00000000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa002000-30fa101000 ---p 00002000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa101000-30fa102000 rw-p 00001000 03:07 1164411                        /usr/lib64/libXinerama.so.1.0.0
30fa200000-30fa28c000 r-xp 00000000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa28c000-30fa38c000 ---p 0008c000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa38c000-30fa391000 rw-p 0008c000 03:07 1168875                        /usr/lib64/libgdk-x11-2.0.so.0.1000.11
30fa400000-30fa757000 r-xp 00000000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa757000-30fa857000 ---p 00357000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa857000-30fa861000 rw-p 00357000 03:07 1168876                        /usr/lib64/libgtk-x11-2.0.so.0.1000.11
30fa861000-30fa863000 rw-p 30fa861000 00:00 0
30faa00000-30faa29000 r-xp 00000000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30faa29000-30fab29000 ---p 00029000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30fab29000-30fab2a000 rw-p 00029000 03:07 1168847                        /usr/lib64/libpangoft2-1.0.so.0.1400.10
30fae00000-30fae08000 r-xp 00000000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30fae08000-30faf08000 ---p 00008000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30faf08000-30faf09000 rw-p 00008000 03:07 1168860                        /usr/lib64/libpangocairo-1.0.so.0.1400.10
30fb000000-30fb005000 r-xp 00000000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
30fb005000-30fb104000 ---p 00005000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
30fb104000-30fb105000 rw-p 00004000 03:07 1167192                        /usr/lib64/libgtkspell.so.0.0.0
3bbb200000-3bbb21d000 r-xp 00000000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb21d000-3bbb31c000 ---p 0001d000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb31c000-3bbb31e000 rw-p 0001c000 03:07 1162048                        /usr/lib64/libdbus-glib-1.so.2.1.0
3bbb400000-3bbb456000 r-xp 00000000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb456000-3bbb555000 ---p 00056000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb555000-3bbb559000 rw-p 00055000 03:07 1162049                        /usr/lib64/libgnomevfs-2.so.0.1600.3
3bbb559000-3bbb55a000 rw-p 3bbb559000 00:00 0
3bbb600000-3bbb613000 r-xp 00000000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbb613000-3bbb713000 ---p 00013000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbb713000-3bbb715000 rw-p 00013000 03:07 1164826                        /usr/lib64/libgnome-2.so.0.1600.0
3bbd400000-3bbd452000 r-xp 00000000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3bbd452000-3bbd551000 ---p 00052000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3bbd551000-3bbd553000 rw-p 00051000 03:07 1162047                        /usr/lib64/libdbus-1.so.3.2.0
3d0d600000-3d0d61b000 r-xp 000Aborted
Comment 12 Olivier Crete (RETIRED) gentoo-dev 2007-05-01 22:59:03 UTC
Did you compie any of glibc, gstreamer, glib, gst-plugins-base, gst-plugins-good with flags that are not "-O2 -pipe -march=x" ? 
Comment 13 Olivier Crete (RETIRED) gentoo-dev 2007-05-01 22:59:29 UTC
Also, which version of gstreamer, gst-plugins-base and gst-plugins-good do you have ?
Comment 14 Pacho Ramos gentoo-dev 2007-05-02 19:08:50 UTC
May be this bug related with bug 176726 ?
Comment 15 Kim Pedersen 2007-05-14 12:26:59 UTC
I am using Pidgin with no problems. My flags are: -02 -pipe. I am on an amd64 platform
Comment 16 Olivier Crete (RETIRED) gentoo-dev 2007-05-26 19:50:18 UTC
Can you try pidgin 2.0.1 ?
Comment 17 Pacho Ramos gentoo-dev 2007-05-28 19:58:26 UTC
(In reply to comment #16)
> Can you try pidgin 2.0.1 ?
> 

Seems fixed :-D, I will reopen if need